<?php
/**
 * @package     Joomla.Plugin
 * @subpackage  Content.Cookie Information
 * @copyright	Copyright (c) 2018 Cookie information A/S. All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined( '_JEXEC' )or die;
jimport( 'joomla.plugin.plugin' );
class plgContentcookieinformation extends JPlugin {
	
	public function onBeforeCompileHead(){
		
		$lang = JFactory::getLanguage();
      	$languages = JLanguageHelper::getLanguages('lang_code');
      	$languageCode = $languages[$lang->getTag()]->sef;
		
		
		// Application Object
        $app = JFactory::getApplication();

        // Front only
        if ($app instanceof JApplicationSite) {
			$document = JFactory::getDocument();
			$document->addCustomTag('<script id="CookieConsent" src="https://policy.app.cookieinformation.com/uc.js" data-culture="'.$languageCode.'" type="text/javascript"></script>');
		}
	}
	
	public function onContentPrepare($context, &$article, &$params, $limitstart){
		
		$lang = JFactory::getLanguage();
      	$languages = JLanguageHelper::getLanguages('lang_code');
      	$languageCode = $languages[$lang->getTag()]->sef;
		
		
		/* Placing Privacy controls in article */
		$controls = '<div id="cicc-template"></div>';
		$article->text = str_replace('[privacycontrols]', $controls, $article->text);
		
		/* Placing Cookie Policy in article */
		$privacy = '<script id="CookiePolicy" src="https://policy.app.cookieinformation.com/cid.js" data-culture="'.$languageCode.'" type="text/javascript"></script>';
		$article->text = str_replace('[cookiepolicy]', $privacy, $article->text);
		
		return true;
		
	}
	
}
?>